#ifndef _COMPONENT_H_
#define _COMPONENT_H_

#include "ComponentType.h"

namespace ComponentSystem
{
	class Component
	{
	public:
		Component();
		virtual ~Component();

		virtual void update() = 0;
		virtual ComponentType getType() = 0;
	};
}

#endif